Register Other Asset
POST
/api/v1/other-assets
const url = 'https://api.parasta.io/api/v1/other-assets';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"type":"gold","quantity":"5","unit":"don","acquisitionDate":"2025-01-15","marketValue":"4504280"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/api/v1/other-assets \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "type": "gold", "quantity": "5", "unit": "don", "acquisitionDate": "2025-01-15", "marketValue": "4504280" }'Register a non-digital asset (gold, cash, art, etc.).
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
type
required
Gold | silver | cash | art | etc.
string
name
Asset name
string
amount
required
Quantity or amount
string
acquisitionDate
YYYY-MM-DD
string
Example
{ "type": "gold", "quantity": "5", "unit": "don", "acquisitionDate": "2025-01-15", "marketValue": "4504280"}Responses
Section titled “ Responses ”OK
Media type application/json
Example
{ "status": "ok", "data": { "assetId": "oa_001", "name": "Gold", "quantity": 5, "unit": "don" }}